org.keycloak.connections.mongo.impl.types

## Class BasicDBObjectToMapMapper

- java.lang.Object
- - org.keycloak.connections.mongo.impl.types.BasicDBObjectToMapMapper

- All Implemented Interfaces:
    Mapper<com.mongodb.BasicDBObject,Map>

      public class BasicDBObjectToMapMapper
      extends Object
      implements Mapper<com.mongodb.BasicDBObject,Map>

  For now, there is support just for convert to Map
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicDBObjectToMapMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `convertObject(MapperContext<com.mongodb.BasicDBObject,Map> context)` Convert object from one type to expected type
    `Class<Map>` | `getExpectedReturnType()`
    `Class<? extends com.mongodb.BasicDBObject>` | `getTypeOfObjectToConvert()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicDBObjectToMapMapper

          public BasicDBObjectToMapMapper()

  - ### Method Detail

    - #### convertObject

          public Map convertObject(MapperContext<com.mongodb.BasicDBObject,Map> context)

      Description copied from interface: `Mapper`
      Convert object from one type to expected type
      Specified by:
        `convertObject` in interface `Mapper<com.mongodb.BasicDBObject,Map>`
      Parameters:
        `context` - Encapsulates reference to converted object and other things, which might be helpful in conversion
      Returns:
        converted object

    - #### getTypeOfObjectToConvert

          public Class<? extends com.mongodb.BasicDBObject> getTypeOfObjectToConvert()

      Specified by:
        `getTypeOfObjectToConvert` in interface `Mapper<com.mongodb.BasicDBObject,Map>`

    - #### getExpectedReturnType

          public Class<Map> getExpectedReturnType()

      Specified by:
        `getExpectedReturnType` in interface `Mapper<com.mongodb.BasicDBObject,Map>`

Copyright © 2014. All Rights Reserved.